@import url('https://fonts.googleapis.com/css?family=Roboto:300,400,700&display=swap');
@import "font-awesome.min.css";

html, body {
  font-family: 'Roboto', sans-serif;
  font-weight: 400;
  margin: 0;
  padding: 0;
  font-size: .92rem;

}
html {
  height: calc(100% - 40px);
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  background-color: #f0f0f0;
  position: relative;
  margin: 0;
  padding-bottom: 130px;
  min-height: 100%;
  color: #343a40;
}
footer {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    color: rgba(108, 117, 125, 0.5);
    text-align: center;
}
h1,h2,h3,h4 {
  text-transform: uppercase;
  text-align: center;
}
h1 {
  font-size: 22px;
  font-weight: 600;
}
h2 {
  font-size: 18px;
  text-align: left;
}
h3 {
  font-size: 14px;
  text-align: left;
  font-weight: lighter;
  color: #f0f0f0;
  padding: 3px 20px 3px 30px;
  display: inline-block;
  border-right: 20px solid transparent;
  border-bottom: 22px solid #343a40;
  height: 0;
  line-height: 27px;
}
h4 {
  font-size: 12px;
  text-align: left;
  font-weight: bold;
}
.required-span {
  color: #d40000;
}
a {
  color: #343a40;
}
a:hover {
    color: #343a40;
}
.uppercase {
  text-transform: uppercase;
}

.onesignal-customlink-container button {
  text-align: center;
}

input[type=number]#codigo::-webkit-inner-spin-button,
input[type=number]#codigo::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.scanner {
  display: none;
  min-height: 100%;
min-width: 100%;
width: auto;
height: auto;
margin: 0;
padding: 0;
position: fixed;
top: 0;
  z-index: 20;
  background-color: #000;
}
video#scan {
  min-height: 100%;
  min-width: 100%;
  width: auto;
  height: 100%;
  position: absolute;
  top: 0;
  z-index: 21;
}
#codigo {
  font-size: 24px;
  letter-spacing: 0.2em;
}

#codigo::placeholder, .patente-text::placeholder {
  letter-spacing: 0;
  font-weight: lighter;
  text-transform: uppercase;
  font-size: 24px;
  line-height: 20px;
  margin-bottom: 10px;
      transform: scale(0.8);
  transform-origin: 0% 50%;
}
.flip {
  object-fit: cover;
  -moz-transform: scaleX(-1);
  -o-transform: scaleX(-1);
  -webkit-transform: scaleX(-1);
  transform: scaleX(-1);
  filter: FlipH;
  -ms-filter: "FlipH";
}
.justify {
  text-align: justify;
}

#changecam {
display: none;
z-index: 22;
font-size: 20px;
position: absolute;
bottom: 5px;
background: none;
right: 5px;
background: #010101;
border-radius: 50%;
width: 40px;
height: 40px;
color: #ffffff;
    border-color: transparent;
    opacity: .5;
}

#close-cam {
z-index: 22;
font-size: 20px;
line-height: 20px;
margin: 0;
padding: 0;
position: absolute;
top: 5px;
right: 5px;
background: #010101;
border-radius: 50%;
width: 40px;
height: 40px;
color: #ffffff;
    border-color: transparent;
    opacity: .5;
}
.check {
  cursor: pointer;
}


.input-opcion {
  background-color: #fff;
  display: block;
  margin: 10px 0;
  position: relative;
      border-radius: 5px;
}
.input-opcion label {
      border-radius: 5px;
  text-transform: uppercase;
  font-weight: bold;
  padding: 12px 30px;
  width: 100%;
  display: block;
  text-align: left;
  color: #3c454c;
  cursor: pointer;
  position: relative;
  z-index: 2;
  transition: color 200ms ease-in;
  overflow: hidden;
}
.input-opcion label span {
  font-weight: 300;
  display: block;
}

.input-opcion label:before {
  width: 10px;
  height: 10px;
  border-radius: 50%;
      border-radius: 5px;
  content: "";
  background-color: #5562eb;
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%) scale3d(1, 1, 1);
          transform: translate(-50%, -50%) scale3d(1, 1, 1);
  transition: all 300ms cubic-bezier(0.4, 0, 0.2, 1);
  opacity: 0;
  z-index: -1;
}
.input-opcion label:after {
  width: 32px;
  height: 32px;
  content: "";
  border: 2px solid #d1d7dc;
  background-color: #fff;
  background-image: url("data:image/svg+xml,%3Csvg width='32' height='32' viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M5.414 11L4 12.414l5.414 5.414L20.828 6.414 19.414 5l-10 10z' fill='%23fff' fill-rule='nonzero'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: 2px 3px;
  border-radius: 50%;
  z-index: 2;
  position: absolute;
  left: 30px;
  top: 50%;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
  cursor: pointer;
  transition: all 200ms ease-in;
}
.input-opcion input.check:checked ~ label {
  color: #fff;
}
.input-opcion input:checked ~ label:before {
  -webkit-transform: translate(-50%, -50%) scale3d(56, 56, 1);
          transform: translate(-50%, -50%) scale3d(56, 56, 1);
  opacity: 1;
}
.input-opcion input:checked ~ label:after {
  background-color: #54e0c7;
  border-color: #54e0c7;
}
.input-opcion input {
  width: 32px;
  height: 32px;
  order: 1;
  z-index: 2;
  position: absolute;
  right: 30px;
  top: 50%;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
  cursor: pointer;
  visibility: hidden;
}
b.code {
    font-size: 20px;
}
#reset {
  font-size: 12px;
  margin: 5px 0;
}


.patente-text {
  text-transform: uppercase;
}
.info_code {
      line-height: 18px;
}
#loading_code, #res, #cod-table {
  display: none;
}


.lds-dual-ring {
  display: inline-block;
  width: 64px;
  height: 64px;
  margin-top: 50px;
}
.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 46px;
  height: 46px;
  margin: 1px;
  border-radius: 50%;
  border: 5px solid #6c757d;
  border-color: #6c757d transparent #6c757d transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.patente-label {
  margin: 0;
  text-align: center;
  color: #6c757d;
}
span.run-codigo {
  text-transform: uppercase;
  width: 100%;
  display: block;
  color: #3c454c;
  cursor: pointer;
  position: relative;
  z-index: 2;
  overflow: hidden;
}
span.run-horario {
  font-weight: 300;
  display: block;
  font-size: 15px;
  cursor: pointer;

  color: #3c454c;
}
span.run-motivo {

  color: #3c454c;
  font-weight: 300;
  display: block;
  font-size: 15px;
  cursor: pointer;
}
.btn-rut {
  line-height: 17px;
}
#btn-modal {
  cursor: pointer;
}

input:focus {
  border: none !important;
  outline: 0 !important;
  border: 1px solid #ced4da !important;
  box-shadow: 0 0 0 0 !important;
}
input#codigo:focus {
  border: 1px solid #ced4da !important;
  border-right:1px solid #6c757d !important;
}

.close {
  font-size: inherit;
}

.modal-title {
  font-size: 0.83em;
  line-height: inherit;
}
#listado li span {
  font-size: 11px;
}

.jconfirm.jconfirm-modern .jconfirm-bg {
    background-color: #111111;
    opacity: .8;

}
#loading {
   width: 100%;
   height: 100%;
   top: 0;
   left: 0;
   position: fixed;
   display: block;
   background-color: #f0f0f0;
   z-index: 309;
   text-align: center;
}

#loading-image {
  position: absolute;
  top: 100px;
  left: 240px;
  z-index: 100;
}
.menu-item {
  text-transform: uppercase;
  font-weight: 300;
}

.clickeable {
  cursor: pointer;
}
.link:hover {
  text-decoration: underline;
}
.hash-busqueda {
  display: none;
}
.action-btn {
  font-size: 27px;
  margin: 0 4px;
}
.page-item.active .page-link {
    color: #fff;
    background-color: #343a40;
    border-color: #343a40;
}

.page-link, .page-link:hover {
    color: #343a40;
}
.action-div {
  max-width: 97px !important;
}
#add-code label {
  text-align: left; margin: 0;
}

.add-opcion, .add-votante {
  margin: 10px 0;
  background-color: #fff;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 0.8rem;
  padding-bottom: 1px;
  border-radius: .25rem;
}
.add-persona label, .add-opcion label, .add-votante label {
  margin: 0;
}

.btn-opcion, .btn-votante {
  text-align: right;
}
.btn-opcion .btn,.btn-votante .btn {
  height: 35px;
  width: auto;
  text-align: center;
  margin-bottom: 10px;
}
.modal-body p {
  margin: 0;
}
.center {
  text-align: center;
}
.removethis {
  float: right;
    margin-top: -35px;
    top: 20px;
    margin-right: -15px;
    font-size: 12px;
    color: #cc0000;
    text-decoration: none;
}
.removethis:hover {
  text-decoration: underline;
  color: #cc0000;
}
 .notificacion {
   position: absolute;
    top: 0;
    width: 100%;
    z-index: 300;
    text-align: center;
    padding: 10px;
 }

.not-ok {
  color: #155724;
      background-color: #d4edda;
      border-bottom: 1px solid #99d0af;
}
.not-error{
  color: #721c24;
    background-color: #f8d7da;
    border-bottom: 1px solid  #f5c6cb;
}
.custom_permisos {
  display: none;
}
.simbologia {
  padding: 10px 0;
}

.form-control:disabled {
    background-color: #dddddd;
    opacity: 1;
}
.lowercase {
  text-transform: lowercase;
}
.capitalize {
  text-transform: capitalize;
}
.uppercase {
  text-transform: uppercase;
}
.votacion-tr {
  cursor: pointer;
}
#ficha_mmb {
  line-height: 22px;
}
#modal {

}
@media only screen and (max-width: 600px)  {
  #modal {

    width: 100% !important;
    max-width: 100% !important;
    border-radius: 0 !important;
    background-color: #fff;
  }
}
@media (min-width: 576px) {
.modal-dialog {
    max-width: 850px !important;
    margin: 1.75rem auto;
}
}
.modal a.close-modal {
  right: 10px !important;
  top: 10px !important;
  width: 20px !important;
    height: 20px !important;
}

.modal-content  {
  border: 0;
    max-width: 850px !important;
}
.modal::-webkit-scrollbar {
    width: 13px;
}

.modal::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);


}

.modal::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
    background-color: #343a40;
}
.opciones {
  margin-top: 20px;
  margin-bottom: 10px;
  text-align: center;
}
.opciones .btn {
  margin-bottom: 5px;
}
.content-mb {
  max-width: 850px;
  margin: 0 auto;
  background-color: #fff;
  padding: 20px 40px;
  border-radius: 10px;
}
@media only screen and (max-width: 600px)  {
  .content-mb {
    max-width: 550px;
    margin: 0 auto;
    background-color: #fff;
    padding: 0px;
    border-radius: 0px;
  }
}
.td-rut {
  min-width: 92px;
}

#textarea {
  margin-top: 10px;
}
#textarea textarea {
  width: 100%;
  min-height: 70px
}
#loading-ajax {

    background-color: rgba(0,0,0,0.7);
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1100;

}

#spinner-ajax {
  max-width:400px;
  width: 90%;
  background-color: #fafafa;
  position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    padding: 20px 60px 5px 60px;
}
#spinner-ajax h2 {text-align: center;}

#contacto_emergencia {
  text-align: center;
  background-color: #f3f3f3;
  border: #fff 3px solid;
  padding: 10px 0;
  border-radius: 10px;
  text-transform: uppercase;
}
.mmbb-tab {
  margin: 10px 0;
    background-color: #fff;
    padding: 1rem;
    border-radius: .25rem;
}
.mmbb-tab h4 {
    font-size: 15px;
    text-align: left;
    font-weight: bold;
    text-align: center;
}

.mmbb-tab .control div.text {
  height: 40px;
  text-align: center;
}
.mmbb-tab .control-group {
  text-align: center;
  margin-bottom: 10px;
  border-radius: 10px;
}

.mmbb-tab .control {
  position: relative;
      margin-bottom: 6px;
      padding: 15px 20px 15px;
      width: 100%;
      cursor: pointer;
      font-size: 19px;
      line-height: 16px;
      text-align: center;
      border-radius: 10px;
  }
  .presente {
     background-color: #d8ffd9;
  }
  .ausente {
     background-color: #fff2f2;
  }
  .ausente-j {
     background-color: #ffffc6;
  }

    .mmbb-tab .control input {
        position: absolute;
        z-index: -1;
        opacity: 0;
    }
.mmbb-tab .control_indicator {
    position: relative;
    top: 5px;
    left: 50%;
    transform: translateX(-15px);
    height: 30px;
    width: 30px;
    background: #fff;
    border: 1px solid #cccccc;
}
.mmbb-tab .control:hover input ~ .control_indicator,
.mmbb-tab .control input:focus ~ .control_indicator {
    background: #cccccc;
}

.mmbb-tab .control input:checked ~ .control_indicator {
    background: #2aa1c0;
}
.mmbb-tab .control:hover input:not([disabled]):checked ~ .control_indicator,
.mmbb-tab .control input:checked:focus ~ .control_indicator {
    background: #0e6647d;
}
.mmbb-tab .control input:disabled ~ .control_indicator {
    background: #e6e6e6;
    opacity: 0.6;
    pointer-events: none;
}
.mmbb-tab .control_indicator:after {
    box-sizing: unset;
    content: '';
    position: absolute;
    display: none;
}
.mmbb-tab .control input:checked ~ .control_indicator:after {
    display: block;
}
.mmbb-tab .control-radio .control_indicator {
    border-radius: 50%;
}

.mmbb-tab .control-radio .control_indicator:after {
    left: 7px;
    top: 7px;
    height: 14px;
    width: 14px;
    border-radius: 50%;
    background: #ffffff;
    transition: background 250ms;
}
.mmbb-tab .control-radio input:disabled ~ .control_indicator:after {
    background: #7b7b7b;
}.mmbb-tab .control-radio .control_indicator::before {
  content: '';
  display: block;
  position: absolute;
  width: 3rem;
  height: 3rem;
  margin-left: -0.45rem;
  margin-top: -0.48rem;
  background: #2aa1c0;
  border-radius: 3rem;
  opacity: 0.5;
  z-index: 99999;
    transform: scale(0);
}
@keyframes s-ripple {
    0% {
        opacity: 0;
        transform: scale(0);
    }
    20% {
        transform: scale(1);
    }
    100% {
        opacity: 0.01;
        transform: scale(1);
    }
}
@keyframes s-ripple-dup {
   0% {
       transform: scale(0);
    }
   30% {
        transform: scale(1);
    }
    60% {
        transform: scale(1);
    }
    100% {
        opacity: 0;
        transform: scale(1);
    }
}
.mmbb-tab .control-radio input + .control_indicator::before {
    animation: s-ripple 250ms ease-out;
}
.mmbb-tab .control-radio input:checked + .control_indicator::before {
    animation-name: s-ripple-dup;
}
.simbologia-asistencia {
  border-radius: 5px;
  margin: 4px;
  font-size: 16px;
  text-align: center;
}
.listado-td {
  cursor: pointer;
}
.tab-info {
  background: #fff; border-radius:5px; padding-top:7px; padding-bottom:7px;
}

.switch-mode label, .custom-control-label::before {
  cursor: pointer;
}
h1.logo {
  background-image: url(../images/logo.png);
  height: 100px;
    width: 280px;
    background-size: contain;
    background-position: center;
    margin: 0 auto 2rem auto;
    background-repeat: no-repeat;

}
h1.logo span {
  display: none;
}
.logofooter {
  background: url(../images/logo-footer.png);
    width: 40px !important;
    height: 50px !important;
    margin: 7px !important;
    background-position: center !important;
    background-size: contain !important;
    background-repeat: no-repeat;
}
.modal a.close-modal {
  background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADwAAAA8CAYAAAA6/NlyAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAyxJREFUeNrsmz1ym0AUgBepUCoN7lLGJxDqUkonkHyC2CdwjuA2VULpSrlB5DIV3MDSCcwNwqgKVfKe5qHBSMCyb3dhsd/MDkgalv30fva9ZfGEIZlOpwEcFtBm0D7ReZ3E0BJoezw/HA47E+PyNEOu4bCChkef2V0KbQvtCeC3vQEGSAS7hXZPmjQhqPkQ2k+ATzsDBtgHAvWFHUHYEKAfrAIDKPrjxqBGZTR+B+Bx2wtHCrDf4RB1CCvo3hGNxYyGyVcRNBD9EozmS1nf9iRhA4L1RT8lJegdG9gB2FbQ3kBgpaG9Bp99cQi2CH1d5dN1UTpyEFbQmKOqH8c1U89auCsfJ5OJn2XZ70aTpqQiEsOQZTk5uWTSGzEc2dSaNOXG6wEB+2DaHph2fGbSDkflVlG7aNJfNcHGdBMdA411aJnK1zMf/qJhgHP4J5cYLJjQeQKB/cw1/IH3r4BppYJb/ZwyHDqqQqcVfbGqK2I8aXjFNeNyOqcIfTE1pM9c814VgbmROaC8WzCgK/Ng6ptblh4ZPers2WTiLlGEcK5tI3PU8EJnDqugaVuwKAsEnulO3FtA24RFmY2E/rUpWWjbsMdojT78z3Yxnv8ZlmFFHrRMAbdaa7K1wjISZqXSvLtaTjINLAVtc+3MBnCvxAZwox8zc+9eAUsHLVvQoy5g0Wc15N7KwLFtWApQUQfQMQInHcD6jNybIwkC7zuA5RYcqrLXadKqubFN6NijAf1hTvo6CgHTxUQKfV/lUZq7S2anYaBNmuZuY9oWp6UnbmFdHqiiVi5Cw+dbDQsVR8biQvwLszY+maQGEyz2hWtRv7jRGfq6LiceoYYi4RkGGGnwt1zTkQbYV2xv91ELfRGK4UlY3A1w6fkw15f7JCffrSse7gak3TOWsy0PWZYluF0ATj87DvsDtPtY/rJuFw8+jQgchcVEaN62HrayAmGqNG29AECRzTXoPGGpHPP71kNHofVtLi1lYs5vHx7L9grT1V9ojz2bsnDqucGxyV7w5l4BGKvcDZMTaCFu+iIT/2DRV7+RVhOVDt5f42HCD/9FrYapDH29V6/i/RdgAMIM7tb0ze61AAAAAElFTkSuQmCC');
}
.modal {
      overflow: auto;
}
.barra {
  width: 100%;
  background-color: #f7f7f7;
  margin-bottom: 20px;
}
.skills {
  text-align: right;
  padding-top: 10px;
  padding-right: 5px;
  padding-bottom: 10px;
  color: #0b0b0b;
  background: linear-gradient(to left, #3cd3ad, #4cb8c4);
}

.form-princ label {
  font-size: 16px;
  text-align: center;
  margin: 0;
  text-transform: uppercase;
}
.form-princ input {
  font-size: 2em;
  text-align: center;
}
.form-princ .form-group input::placeholder {
  font-size: 16px;
  vertical-align: middle;
  text-transform: uppercase;
}
h3.title-resultados {
  margin: 0px 0 20px 0;
}
.resultados p{
  margin: 0;
}
.info_votante .title {
  color: #7d7d7d;
  font-size: 12px;

}
.info_votante {
  padding: 10px;
  background-color: #fff;
  margin-bottom: 20px;
      border-radius: 5px;
}
.info_votante p {
  font-size: 16px;
  margin: 0;
  text-align: center;
}
.info_votante p small {
  display: block;
  margin: 0;
}
.results {
  margin-top: 20px;
  padding: 10px;
  background-color: #fff;
      border-radius: 5px;
}
.results .loading  p{
  text-align: center;
}
button.close {
  position: absolute;
    right: 0;
    padding: 5px;
    z-index: 2;
    font-size: 20px;
}

input.pw {
    -webkit-text-security: disc;
}
